package com.dragon.gateway.service;

import com.dragon.common.core.exception.CaptchaException;
import com.dragon.common.core.domain.Result;

import java.io.IOException;

/**
 * 验证码处理
 *
 * @author dragon
 */
public interface ValidateCodeService {
    /**
     * 生成验证码
     */
    public Result createCaptcha() throws IOException, CaptchaException;

    /**
     * 校验验证码
     */
    public void checkCaptcha(String key, String value) throws CaptchaException;
}
